You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     dneb...@gmail.com
Last committer: m...@freebsd.org
Ident:          $FreeBSD: head/multimedia/bangarang/Makefile 386312 2015-05-14 
10:15:04Z mat $
Log URL:        
http://beefy2.nyi.freebsd.org/data/93amd64-default/405108/logs/bangarang-2.1_5.log
Build URL:      
http://beefy2.nyi.freebsd.org/build.html?mastername=93amd64-default&build=405108
Log:

====>> Building multimedia/bangarang
build started at Sun Jan  3 04:52:47 UTC 2016
port directory: /usr/ports/multimedia/bangarang
building for: FreeBSD 93amd64-default-job-14 9.3-RELEASE-p32 FreeBSD 
9.3-RELEASE-p32 amd64
maintained by: dneb...@gmail.com
Makefile ident:      $FreeBSD: head/multimedia/bangarang/Makefile 386312 
2015-05-14 10:15:04Z mat $
Poudriere version: 3.1.10
Host OSVERSION: 1100091
Jail OSVERSION: 903000

---Begin Environment---
SHELL=/bin/csh
OSVERSION=903000
UNAME_v=FreeBSD 9.3-RELEASE-p32
UNAME_r=9.3-RELEASE-p32
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/93amd64-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=bangarang-2.1_5
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/93amd64-default/ref/.p/pool
MASTERNAME=93amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.10
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--with-qt-includes=/usr/local/include/qt4  
--with-qt-libraries=/usr/local/lib/qt4  
--with-extra-includes=/usr/local/include  --with-extra-libs=/usr/local/lib
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/multimedia/bangarang/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/multimedia/bangarang/work  
HOME=/wrkdirs/usr/ports/multimedia/bangarang/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh QTDIR="/usr/local" QMAKE="/usr/local/bin/qmake-qt4"  
MOC="/usr/local/bin/moc-qt4" RCC="/usr/local/bin/rcc" 
UIC="/usr/local/bin/uic-qt4"  
QMAKESPEC="/usr/local/share/qt4/mkspecs/freebsd-$(ccver="$(c++ --version)"; 
case "$ccver" in *clang*) echo clang ;; *) echo g++ ;; esac)"
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/multimedia/bangarang/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/multimedia/bangarang/work  
HOME=/wrkdirs/usr/ports/multimedia/bangarang/work TMPDIR="/tmp" NO_PIE=yes 
NO_DEBUG_FILES=yes SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" 
-fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector 
-fno-strict-aliasing"  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-m 555"  BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 
555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
QT_PREFIX="/usr/local"
QT_BINDIR="bin"
QT_INCDIR="include/qt4"
QT_LIBDIR="lib/qt4"
QT_ARCHDIR="lib/qt4/qt4"
QT_PLUGINDIR="lib/qt4/plugins"
QT_LIBEXECDIR="libexec/qt4"
QT_IMPORTDIR="lib/qt4/imports"
QT_QMLDIR="lib/qt4/qt4/qml"
QT_DATADIR="share/qt4"
QT_DOCDIR="share/doc/qt4"
QT_L10NDIR="share/qt4/translations"
QT_ETCDIR="etc/xdg"
QT_EXAMPLEDIR="share/examples/qt4"
QT_TESTDIR="share/qt4/tests"
QT_MKSPECDIR="share/qt4/mkspecs"
KDE4_PREFIX="/usr/local"
KDE4_VERSION="4.14.3"
KDE4_GENERIC_LIB_VERSION=4.14.3
KDE4_NON_GENERIC_LIB_VERSION=5.14.3
PYCACHE=""
PYC_SUFFIX=pyc
PYO_SUFFIX=pyo
CMAKE_BUILD_TYPE="release"
OSREL=9.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/bangarang"
EXAMPLESDIR="share/examples/bangarang"
DATADIR="share/bangarang"
WWWDIR="www/bangarang"
ETCDIR="etc/bangarang"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/bangarang
DOCSDIR=/usr/local/share/doc/bangarang
EXAMPLESDIR=/usr/local/share/examples/bangarang
WWWDIR=/usr/local/www/bangarang
ETCDIR=/usr/local/etc/bangarang
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   bangarang-2.1_5 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.2.txz
[93amd64-default-job-14] Installing pkg-1.6.2...
[93amd64-default-job-14] Extracting pkg-1.6.2: .......... done
Message from pkg-1.6.2:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   bangarang-2.1_5 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of bangarang-2.1_5
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by bangarang-2.1_5 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by bangarang-2.1_5 for building
=> SHA256 Checksum OK for bangarang-2.1.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by bangarang-2.1_5 for building
===>  Extracting for bangarang-2.1_5
=> SHA256 Checksum OK for bangarang-2.1.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for bangarang-2.1_5
===>  Applying FreeBSD patches for bangarang-2.1_5
===========================================================================
=======================<phase: build-depends  >============================
===>   bangarang-2.1_5 depends on file: /usr/local/bin/cmake - not found
===>   Installing existing package /packages/All/cmake-3.4.1.txz
[93amd64-default-job-14] Installing cmake-3.4.1...
[93amd64-default-job-14] `-- Installing expat-2.1.0_3...
[93amd64-default-job-14] `-- Extracting expat-2.1.0_3: .......... done
[93amd64-default-job-14] `-- Installing cmake-modules-3.4.1...
[93amd64-default-job-14] `-- Extracting cmake-modules-3.4.1: .......... done
[93amd64-default-job-14] `-- Installing curl-7.46.0_1...
[93amd64-default-job-14] |   `-- Installing ca_root_nss-3.20.1...
[93amd64-default-job-14] |   `-- Extracting ca_root_nss-3.20.1: ....... done
[93amd64-default-job-14] `-- Extracting curl-7.46.0_1: .......... done
[93amd64-default-job-14] `-- Installing libarchive-3.1.2_4,1...
[93amd64-default-job-14] |   `-- Installing libiconv-1.14_9...
[93amd64-default-job-14] |   `-- Extracting libiconv-1.14_9: .......... done
[93amd64-default-job-14] |   `-- Installing lzo2-2.09...
[93amd64-default-job-14] |   `-- Extracting lzo2-2.09: .......... done
[93amd64-default-job-14] `-- Extracting libarchive-3.1.2_4,1: .......... done
[93amd64-default-job-14] `-- Installing jsoncpp-0.6.0.r2_2...
[93amd64-default-job-14] `-- Extracting jsoncpp-0.6.0.r2_2: .......... done
[93amd64-default-job-14] Extracting cmake-3.4.1: .......... done
Message from ca_root_nss-3.20.1:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
===>   bangarang-2.1_5 depends on file: /usr/local/bin/cmake - found
===>   Returning to build of bangarang-2.1_5
<snip>
[93amd64-default-job-14] |   | `-- Installing lcms-1.19_6,1...
[93amd64-default-job-14] |   |   `-- Installing tiff-4.0.6...
[93amd64-default-job-14] |   |   | `-- Installing jbigkit-2.1_1...
[93amd64-default-job-14] |   |   | `-- Extracting jbigkit-2.1_1: .......... done
[93amd64-default-job-14] |   |   `-- Extracting tiff-4.0.6: .......... done
[93amd64-default-job-14] |   | `-- Extracting lcms-1.19_6,1: .......... done
[93amd64-default-job-14] |   `-- Extracting libmng-1.0.10_2: ......... done
[93amd64-default-job-14] `-- Extracting qt4-imageformats-4.8.7: .......... done
[93amd64-default-job-14] Extracting kdelibs-4.14.3_4: .......... done
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Message from trousers-tddl-0.3.10_7:
To run tcsd automatically, add the following line to /etc/rc.conf

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

To use TPM, add your_account to '_tss' group like following:

# pw groupadd _tss -m your_account
Message from gnupg-2.1.8:
###############################################################################
                                A T T E N T I O N

In order to use gpg-agent, you need to install a pinentry dialog.

The following ports of pinentry dialogs are available:

security/pinentry-curses        (ncurses based dialog)
security/pinentry-gtk2          (GTK 2.x based dialog)
security/pinentry-qt4           (QT4 based dialog)
security/pinentry-tty           (console based dialog)

###############################################################################
Message from xmlcatmgr-2.2_2:
The following catalogs are installed:

 1) /usr/local/share/sgml/catalog

   The top level catalog for SGML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 2) /usr/local/share/sgml/catalog.ports

   This catalog is for handling SGML stuff installed under
   /usr/local/share/sgml.  It is changed by ports/packages.

 3) /usr/local/share/xml/catalog

   The top level catalog for XML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 4) /usr/local/share/xml/catalog.ports

   This catalog is for handling XML stuff installed under
   /usr/local/share/xml.  It is changed by ports/packages.
Message from gamin-0.1.10_8:
===============================================================================

Gamin will only provide realtime notification of changes for at most n files,
where n is the minimum value between (kern.maxfiles * 0.7) and
(kern.maxfilesperproc - 200). Beyond that limit, files will be polled.

If you often open several large folders with Nautilus, you might want to
increase the kern.maxfiles tunable (you do not need to set
kern.maxfilesperproc, since it is computed at boot time from kern.maxfiles).

For a typical desktop, add the following line to /boot/loader.conf, then
reboot the system:

    kern.maxfiles="25000"

The behavior of gamin can be controlled via the various gaminrc files.
See http://www.gnome.org/~veillard/gamin/config.html on how to create
these files.  In particular, if you find gam_server is taking up too much
CPU time polling for changes, something like the following may help
in one of the gaminrc files:

# reduce polling frequency to once per 10 seconds
# for UFS file systems in order to lower CPU load
fsset ufs poll 10

===============================================================================
Message from soprano-2.9.4_1:
======================================================================

You'll have to install databases/virtuoso to use Soprano's Virtuoso
backend.

======================================================================
Message from kdelibs-4.14.3_4:
======================================================================

Due to severe instability, the Solid UPnP backend was disabled. Thus,
you will not get notifications about networked shares in the device
notifier. The UPnP functionality can be re-enabled by setting the
SOLID_UPNP environment variable:

$ cat > ~/.kde4/env/upnp.sh << EOF
SOLID_UPNP=1
export SOLID_UPNP
EOF
$ chmod +x ~/.kde4/env/upnp.sh

======================================================================
===>   bangarang-2.1_5 depends on file: /usr/local/lib/libkdecore.so - found
===>   Returning to build of bangarang-2.1_5
===========================================================================
=======================<phase: lib-depends    >============================
===>   bangarang-2.1_5 depends on shared library: libtag.so - not found
===>   Installing existing package /packages/All/taglib-1.10.txz
[93amd64-default-job-14] Installing taglib-1.10...
[93amd64-default-job-14] Extracting taglib-1.10: .......... done
===>   bangarang-2.1_5 depends on shared library: libtag.so - found 
(/usr/local/lib/libtag.so)
===>   Returning to build of bangarang-2.1_5
===>   bangarang-2.1_5 depends on shared library: libintl.so - found 
(/usr/local/lib/libintl.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for bangarang-2.1_5
===>  Performing out-of-source build
/bin/mkdir -p /wrkdirs/usr/ports/multimedia/bangarang/work/.build
-- The C compiler identification is GNU 4.2.1
-- The CXX compiler identification is GNU 4.2.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found
-- Found Qt-Version 4.8.7 (using /usr/local/bin/qmake-qt4)
-- Looking for XOpenDisplay in 
/usr/local/lib/libX11.so;/usr/local/lib/libXext.so;/usr/local/lib/libXft.so;/usr/local/lib/libXau.so;/usr/local/lib/libXdmcp.so;/usr/local/lib/libXpm.so
-- Looking for XOpenDisplay in 
/usr/local/lib/libX11.so;/usr/local/lib/libXext.so;/usr/local/lib/libXft.so;/usr/local/lib/libXau.so;/usr/local/lib/libXdmcp.so;/usr/local/lib/libXpm.so
 - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/local/lib/libX11.so
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Found Threads: TRUE  
-- Looking for _POSIX_TIMERS
-- Looking for _POSIX_TIMERS - found
-- Found Automoc4: /usr/local/bin/automoc4  
-- Found Perl: /usr/local/bin/perl (found version "5.20.3") 
-- Found Phonon: /usr/local/include (Required is at least version "4.3.80") 
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.12 include dir: /usr/local/include
-- Found KDE 4.12 library dir: /usr/local/lib
-- Found the KDE4 kconfig_compiler preprocessor: /usr/local/bin/kconfig_compiler
-- Found automoc4: /usr/local/bin/automoc4
-- Found Soprano: /usr/local/include (found suitable version "2.9.4", minimum 
required is "1.99") 
-- Found SharedDesktopOntologies: /usr/local/share/ontology (found suitable 
version "0.11.0", minimum required is "") 
-- Found Nepomuk: /usr/local/lib/libnepomuk.so;/usr/local/lib/libsoprano.so  
-- TagLib version not found: version searched :1.4, found 1.10
CMake Error at /usr/local/share/apps/cmake/modules/FindTaglib.cmake:82 
(message):
  Could not find Taglib
Call Stack (most recent call first):
  CMakeLists.txt:12 (find_package)


-- Configuring incomplete, errors occurred!
See also 
"/wrkdirs/usr/ports/multimedia/bangarang/work/.build/CMakeFiles/CMakeOutput.log".
See also 
"/wrkdirs/usr/ports/multimedia/bangarang/work/.build/CMakeFiles/CMakeError.log".
*** [do-configure] Error code 1

Stop in /usr/ports/multimedia/bangarang.
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to